> For the complete documentation index, see [llms.txt](https://docs-swft.swft.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-swft.swft.pro/nft-api/cha-xun-jiao-yi-ji-lu-lie-biao.md).

# 查询交易记录列表

**1. 接口调用：**

`https://{host}/gt/swap/path/v1/queryAllNftTrade`

**2. 请求参数实例**

| 参数          | 是否必须 | 说明                         |
| ----------- | ---- | -------------------------- |
| orderSide   | 是    | 0:卖/1:买,不传默认查所有            |
| page        | 是    | 页数(默认：1)                   |
| pageSize    | 是    | 条数(默认 : 50)                |
| equipmentNo | 否    | 设备编号                       |
| sessionUuid | 否    | 用户唯一的登录标识sessionId         |
| sourceFlag  | 否    | 订单来源用于标识是哪个平台创建的订单，请联系我们设置 |
| sourceType  | 否    | 请求来源设备(IOS,Android,h5)     |
| userNo      | 否    | 用户名                        |

#### 3.请求参数示例

```
{
	"equipmentNo": "",
	"orderSide": "",
	"pageNo": 0,
	"pageSize": 0,
	"sessionUuid": "",
	"sourceFlag": "",
	"sourceType": "",
	"userNo": ""
}
```

#### 4.返回结果示例

```
{
	"data": {
		"pageContent": [
			{
				"createTime": "",
				"depositCoinAmt": "",
				"depositCoinCode": "",
				"equipmentNo": "",
				"isNft": "",
				"nftLogoUrl": "",
				"nftName": "",
				"orderId": "",
				"orderSide": "",
				"orderStatus": "",
				"platformAddr": "",
				"receiveCoinAmt": "",
				"receiveCoinCode": "",
				"refundAddr": "",
				"refundCoinAmt": "",
				"router": "",
				"transactionHash": "",
				"userAddr": ""
			}
		],
		"pageNo": 0,
		"pageSize": 0,
		"totalCount": 0,
		"totalPage": 0
	},
	"resCode": "800",
	"resMsg": "success"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-swft.swft.pro/nft-api/cha-xun-jiao-yi-ji-lu-lie-biao.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
